# Uses of Interface
javax.xml.stream.XMLReporter

Packages that use XMLReporter
Package
Description
javax.xml.stream
Defines interfaces and classes for the Streaming API for XML (StAX).

## Uses of XMLReporter in javax.xml.stream

Methods in javax.xml.stream that return XMLReporter
Modifier and Type
Method
Description
`abstract XMLReporter`
XMLInputFactory.`getXMLReporter()`
The reporter that will be set on any XMLStreamReader or XMLEventReader created by this factory instance.
Methods in javax.xml.stream with parameters of type XMLReporter
Modifier and Type
Method
Description
`abstract void`
XMLInputFactory.`setXMLReporter(XMLReporter reporter)`
The reporter that will be set on any XMLStreamReader or XMLEventReader created by this factory instance.